You are here:  Home » PHP » Web主机的PHP更新如何影响您的WordPress站点

最近,我们的一位用户联系了我们,他们收到了BlueHost(推荐的WordPress主机提供商之一)关于升级到PHP 5.4的通知。我们认为这将有助于涵盖这会如何影响WordPress用户和网站所有者。在本文中,我们将解释Web主机的PHP更新如何影响您的WordPress站点。我们还将讨论您可以采取的措施,以避免网站上的任何冲突或停机

您的网站主机的PHP更新应该顺利进行,但它也可能非常错误。这完全取决于您的Web主机以及它们如何配置其服务器。这就是为什么我们建议我们的用户选择最好的WordPress主机,因此他们知道有一流的工程师正在照顾这些服务器。为您的WordPress站点选择不可靠的Web主机可能会在更新期间或之后导致意外停机,除了切换到更好的主机之外,您几乎无能为力。

WordPress和PHP更新

WordPress是使用开源编程语言PHP开发的。在撰写本文时,WordPress需要PHP 5.2.4或更高版本。当前可用于PHP的稳定版本是5.5.7。

大多数共享主机提供商目前在其服务器上安装了PHP版本5.4。*。某些Web主机甚至可能允许您从控制面板更改PHP版本。不使用Web主机的最新版PHP和最新稳定版本有各种原因,但最常见的原因是最新版本有时会破坏某些PHP应用程序。但是,他们也不想远远落后。目前PHP 5.4。*被几乎大多数共享的WordPress托管服务提供商使用。

您的主机更新时需要执行的操作PHP

您的网络托管服务商可能已经托管了数千个WordPress网站。他们将采取一切可能的预防措施,以确保一切顺利,客户不会感到任何故障。您收到的通知可以让您了解更新,并留意是否有任何问题。虽然此更新不太可能会破坏,但最好还是有一个备用计划。

首先,我们始终建议用户定期备份WordPress站点。如果您没有像BackupBuddy,VaultPress或BackWPup那样的自动备份解决方案,那么是时候安装其中一个或者至少创建一个网站的手动备份。

备份后,您需要做的下一件事是确保您运行的是最新版本的WordPress。还要确保所有插件和主题都是最新的。转到“更新”屏幕并安装所有可用的更新。

WordPress本身和最流行的WordPress插件不会受到PHP更新的影响。但是,某些插件可能会停止工作。如果您的网站上的插件由于PHP更新而停止工作,那么您需要联系插件作者以获取支持或找到替代方案。

如果PHP更新破坏您的WordPress站点该怎么办?

PHP更新破坏您的WordPress站点的可能性很小。但是,随着免费和付费插件的丰富,一行不良代码可能会导致错误。您需要做的第一件事是确保它不是导致此错误的插件或主题。要做到这一点,请停用所有WordPress插件并切换到默认的WordPress主题。

如果这不能解决您的问题,请联系您的网站托管服务支持团队。您面临的问题很可能已经在他们的通知中,他们将能够为您提供帮助。

如果您的网站托管服务商无法帮助您,请尝试安装新的WordPress副本,然后从备份中恢复您的WordPress网站。

如果这些都没有帮助,那么也许是时候改变你的WordPress主机了。

评论被关闭。